(function() {

    "use strict";

    // =============================================
    // レコード登録
    // =============================================
    kintone.events.on("app.record.create.submit", function(event) {

        var record = event.record;

        // アプリID
        var appId = kintone.app.getId();
        // パラメータ配列
        var params = {
            "app": 8,
            "record": {
                "項目x": { "value": record['項目a']['value'] },
                "項目y": { "value": record['項目b']['value'] },
                "項目z": { "value": record['項目c']['value'] }
            }
        };
        return kintone.api(kintone.api.url('/k/v1/record', true), 'POST', params).then(function(resp) {
            // 成功時
            return event;
        }, function(resp) {
            // エラー時
            if (resp.message !== undefined) {
                console.log(resp.message);
            }
            event.error = "エラーが発生しました！";
            return event;
        });
    });
})();
